OPT=
CP=cp
RM=rm

Boare.Lib.AppUtil.dll: *.cs bocoree.dll
	gmcs $(OPT) -recurse:*.cs -unsafe+ -target:library -out:Boare.Lib.AppUtil.dll \
	     -r:bocoree.dll,System.Drawing,System.Windows.Forms

bocoree.dll: ../bocoree/bocoree.dll
	cp ../bocoree/bocoree.dll bocoree.dll

../bocoree/bocoree.dll:
	cd ../bocoree/ && $(MAKE) OPT=$(OPT)

clean:
	$(RM) Boare.Lib.AppUtil.dll
	$(RM) bocoree.dll
